# kernelBitness

## kernelBitness

The kernelBitness describes the number of bits your kernel is running.&#x20;

If you need to know what bitness your app is running as use [userSpaceBitness](/reference/sysinfo/userspacebitness.md).

{% hint style="info" %}
In most cases you actually want to use userSpaceBitness as it more correctly reflects the capabilities that your application has access to. The usersSpaceBitness constrains how much memory you can allocate.
{% endhint %}

Possible values are:

* 32
* 64

#### Example:

```dart
import "package:system_info2/system_info2.dart";

print("Kernel bitness          : ${SysInfo.kernelBitness}");
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://sysinfo.onepub.dev/reference/sysinfo/kernelbitness.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
